<?php
/**
 * The template to display default site footer
 *
 * @package MELANIA
 * @since MELANIA 1.0.10
 */

$melania_footer_id = melania_get_custom_footer_id();
$melania_footer_meta = melania_get_custom_layout_meta( $melania_footer_id );
if ( ! empty( $melania_footer_meta['margin'] ) ) {
	melania_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( melania_prepare_css_value( $melania_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $melania_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $melania_footer_id ) ) ); ?>
						<?php
						$melania_footer_scheme = melania_get_theme_option( 'footer_scheme' );
						$melania_footer_scheme = melania_is_woocommerce_page() ? 
													( ( empty(melania_get_theme_option( 'woo_footer_scheme' ) ) || melania_get_theme_option( 'woo_footer_scheme' ) === 'inherit') ? 
														$melania_footer_scheme 
														: melania_get_theme_option( 'woo_footer_scheme' ) ) 
													: $melania_footer_scheme;
						if ( ! empty( $melania_footer_scheme ) && ! melania_is_inherit( $melania_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $melania_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'melania_action_show_layout', $melania_footer_id );
	?>
</footer><!-- /.footer_wrap -->
