<div class="front_page_section front_page_section_contacts<?php
	$melania_scheme = melania_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $melania_scheme ) && ! melania_is_inherit( $melania_scheme ) ) {
		echo ' scheme_' . esc_attr( $melania_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( melania_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( melania_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$melania_css      = '';
		$melania_bg_image = melania_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $melania_bg_image ) ) {
			$melania_css .= 'background-image: url(' . esc_url( melania_get_attachment_url( $melania_bg_image ) ) . ');';
		}
		if ( ! empty( $melania_css ) ) {
			echo ' style="' . esc_attr( $melania_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$melania_anchor_icon = melania_get_theme_option( 'front_page_contacts_anchor_icon' );
	$melania_anchor_text = melania_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $melania_anchor_icon ) || ! empty( $melania_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $melania_anchor_icon ) ? ' icon="' . esc_attr( $melania_anchor_icon ) . '"' : '' )
									. ( ! empty( $melania_anchor_text ) ? ' title="' . esc_attr( $melania_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( melania_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' melania-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$melania_css      = '';
			$melania_bg_mask  = melania_get_theme_option( 'front_page_contacts_bg_mask' );
			$melania_bg_color_type = melania_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $melania_bg_color_type ) {
				$melania_bg_color = melania_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $melania_bg_color_type ) {
				$melania_bg_color = melania_get_scheme_color( 'bg_color', $melania_scheme );
			} else {
				$melania_bg_color = '';
			}
			if ( ! empty( $melania_bg_color ) && $melania_bg_mask > 0 ) {
				$melania_css .= 'background-color: ' . esc_attr(
					1 == $melania_bg_mask ? $melania_bg_color : melania_hex2rgba( $melania_bg_color, $melania_bg_mask )
				) . ';';
			}
			if ( ! empty( $melania_css ) ) {
				echo ' style="' . esc_attr( $melania_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$melania_caption     = melania_get_theme_option( 'front_page_contacts_caption' );
			$melania_description = melania_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $melania_caption ) || ! empty( $melania_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $melania_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $melania_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $melania_caption, 'melania_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $melania_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $melania_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $melania_description ), 'melania_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$melania_content = melania_get_theme_option( 'front_page_contacts_content' );
			$melania_layout  = melania_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $melania_layout && ( ! empty( $melania_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $melania_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $melania_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $melania_content, 'melania_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $melania_layout && ( ! empty( $melania_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$melania_sc = melania_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $melania_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $melania_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					melania_show_layout( do_shortcode( $melania_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $melania_layout && ( ! empty( $melania_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
