<div class="front_page_section front_page_section_subscribe<?php
	$melania_scheme = melania_get_theme_option( 'front_page_subscribe_scheme' );
	if ( ! empty( $melania_scheme ) && ! melania_is_inherit( $melania_scheme ) ) {
		echo ' scheme_' . esc_attr( $melania_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( melania_get_theme_option( 'front_page_subscribe_paddings' ) );
	if ( melania_get_theme_option( 'front_page_subscribe_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$melania_css      = '';
		$melania_bg_image = melania_get_theme_option( 'front_page_subscribe_bg_image' );
		if ( ! empty( $melania_bg_image ) ) {
			$melania_css .= 'background-image: url(' . esc_url( melania_get_attachment_url( $melania_bg_image ) ) . ');';
		}
		if ( ! empty( $melania_css ) ) {
			echo ' style="' . esc_attr( $melania_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$melania_anchor_icon = melania_get_theme_option( 'front_page_subscribe_anchor_icon' );
	$melania_anchor_text = melania_get_theme_option( 'front_page_subscribe_anchor_text' );
if ( ( ! empty( $melania_anchor_icon ) || ! empty( $melania_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_subscribe"'
									. ( ! empty( $melania_anchor_icon ) ? ' icon="' . esc_attr( $melania_anchor_icon ) . '"' : '' )
									. ( ! empty( $melania_anchor_text ) ? ' title="' . esc_attr( $melania_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_subscribe_inner
	<?php
	if ( melania_get_theme_option( 'front_page_subscribe_fullheight' ) ) {
		echo ' melania-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$melania_css      = '';
			$melania_bg_mask  = melania_get_theme_option( 'front_page_subscribe_bg_mask' );
			$melania_bg_color_type = melania_get_theme_option( 'front_page_subscribe_bg_color_type' );
			if ( 'custom' == $melania_bg_color_type ) {
				$melania_bg_color = melania_get_theme_option( 'front_page_subscribe_bg_color' );
			} elseif ( 'scheme_bg_color' == $melania_bg_color_type ) {
				$melania_bg_color = melania_get_scheme_color( 'bg_color', $melania_scheme );
			} else {
				$melania_bg_color = '';
			}
			if ( ! empty( $melania_bg_color ) && $melania_bg_mask > 0 ) {
				$melania_css .= 'background-color: ' . esc_attr(
					1 == $melania_bg_mask ? $melania_bg_color : melania_hex2rgba( $melania_bg_color, $melania_bg_mask )
				) . ';';
			}
			if ( ! empty( $melania_css ) ) {
				echo ' style="' . esc_attr( $melania_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_subscribe_content_wrap content_wrap">
			<?php
			// Caption
			$melania_caption = melania_get_theme_option( 'front_page_subscribe_caption' );
			if ( ! empty( $melania_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_subscribe_caption front_page_block_<?php echo ! empty( $melania_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $melania_caption, 'melania_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$melania_description = melania_get_theme_option( 'front_page_subscribe_description' );
			if ( ! empty( $melania_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_subscribe_description front_page_block_<?php echo ! empty( $melania_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $melania_description ), 'melania_kses_content' ); ?></div>
				<?php
			}

			// Content
			$melania_sc = melania_get_theme_option( 'front_page_subscribe_shortcode' );
			if ( ! empty( $melania_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_subscribe_output front_page_block_<?php echo ! empty( $melania_sc ) ? 'filled' : 'empty'; ?>">
				<?php
					melania_show_layout( do_shortcode( $melania_sc ) );
				?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
