<?php
/* Gutenberg support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'melania_skin_gutenberg_blocks_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'melania_skin_gutenberg_blocks_theme_setup9', 9 );
    function melania_skin_gutenberg_blocks_theme_setup9() {        
        if ( melania_is_off( melania_get_theme_option( 'debug_mode' ) ) ) {
            remove_action( 'melania_filter_merge_styles', 'melania_skin_gutenberg_merge_styles' );
            remove_action( 'melania_filter_merge_styles', 'melania_gutenberg_merge_styles' );
        }
    }
}

// Load required styles and scripts for Gutenberg Editor mode
if ( ! function_exists( 'melania_skin_gutenberg_editor_scripts' ) ) {
    add_action( 'enqueue_block_editor_assets', 'melania_skin_gutenberg_editor_scripts');
    function melania_skin_gutenberg_editor_scripts() {
        // Editor styles 
        wp_enqueue_style( 'melania-gutenberg', melania_get_file_url( melania_skins_get_current_skin_dir() . 'plugins/gutenberg/gutenberg.css' ), array(), null );
    }
}