<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package MELANIA
 * @since MELANIA 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$melania_copyright_scheme = melania_get_theme_option( 'copyright_scheme' );
if ( ! empty( $melania_copyright_scheme ) && ! melania_is_inherit( $melania_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $melania_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$melania_copyright = melania_get_theme_option( 'copyright' );
			if ( ! empty( $melania_copyright ) ) {
				$melania_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $melania_copyright );
				$melania_copyright = melania_prepare_macros( $melania_copyright );
				// Display copyright
				echo wp_kses( nl2br( $melania_copyright ), 'melania_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
