<?php
/**
 * The template to display default site footer
 *
 * @package MELANIA
 * @since MELANIA 1.0.10
 */

?>
<footer class="footer_wrap footer_default
<?php
$melania_footer_scheme = melania_get_theme_option( 'footer_scheme' );
$melania_footer_scheme = melania_is_woocommerce_page() ? melania_get_theme_option( 'woo_footer_scheme' ) : $melania_footer_scheme;
if ( ! empty( $melania_footer_scheme ) && ! melania_is_inherit( $melania_footer_scheme  ) ) {
	echo ' scheme_' . esc_attr( $melania_footer_scheme );
}
?>
				">
	<?php

	// Footer widgets area
	get_template_part( apply_filters( 'melania_filter_get_template_part', 'templates/footer-widgets' ) );

	// Logo
	get_template_part( apply_filters( 'melania_filter_get_template_part', 'templates/footer-logo' ) );

	// Socials
	get_template_part( apply_filters( 'melania_filter_get_template_part', 'templates/footer-socials' ) );

	// Menu
	get_template_part( apply_filters( 'melania_filter_get_template_part', 'templates/footer-menu' ) );

	// Copyright area
	get_template_part( apply_filters( 'melania_filter_get_template_part', 'templates/footer-copyright' ) );

	?>
</footer><!-- /.footer_wrap -->
