<?php
/**
 * The template to display the background video in the header
 *
 * @package MELANIA
 * @since MELANIA 1.0.14
 */
$melania_header_video = melania_get_header_video();
$melania_embed_video  = '';
if ( ! empty( $melania_header_video ) && ! melania_is_from_uploads( $melania_header_video ) ) {
	if ( melania_is_youtube_url( $melania_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $melania_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php melania_show_layout( melania_get_embed_video( $melania_header_video ) ); ?></div>
		<?php
	}
}
